Subject: arm-linux again!

From: "Sun, Lei" <[email-masked]>
Date: Wed, 5 Jul 2000 10:36:55 -0400

Hi:
   I encountered a problem when porting linux to SA1110 development board. I
can download the kernel via nico's angel boot utility but there is no "login
" message on the minicom screen after downloading is finished. Thanks for
Mathias, Jamey and George for giving me suggestions. 
   After disappointed about this, I begain to suspect the the angel debug
monitor on the falsh memory may has some problem because when I pust the
reset button, I got the following message via hyperterminal:

ÚEURÿÿÿÿÿÿÿÿÿÿÿÿøø¦Angel Debug Monitor for DB1110 : Serial/FIQ : MMU on,
Caches en
abled : Clock Switching on
                          1.20 (ARM Ltd  / Intel White Angel v207d) built on
May
 04 2000 at 15:47:53
                    ôÑo©

   There are always some junk characters combine with the clean code. Is
this Normal? or I have to rebuild the angel debug monitor?
thanks
Lei Sun

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Wed, 5 Jul 2000 17:29:05 +0100 (BST)

> this Normal? or I have to rebuild the angel debug monitor?

Looks normal to me.  If you're using a SA1100 platform, you could try putting
the following into head-sa1100.S:

->>> add
/*
 * Pause for a short time so that we give enough time
 * for the host to start a terminal up.
 */
               mov     r0, #0x02000000
1:             subs    r0, r0, #1
               bne     1b
->>> original follows
               @ Restore initial r0/r1
               mov     r0, r8

Increase the value in r0 prior to that loop to increase the time it pauses
before decompressing the kernel.  0x02000000 is about a second.  If you run
out of room, put a couple of "mov r0, r0"'s into the loop to slow it down
further.

You basically want to make it pause for long enough for you to start up
hyperterminal.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |